<?php
/**
* @version		0.9.1
* @package		DJ Classifieds
* @subpackage	DJ Classifieds Component
* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 
* 
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
* 
*/
defined ('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.model');

/*Items Model*/


class DjclassifiedsModelNocategoryitems extends JModel{
	
	var $_items;
	var $_categories;
	
	//budowa klauzuli where do zapytania przy filtrowaniu
	function _buildQueryWhere(){
		global $mainframe, $option;
		
		$filter_state = $mainframe->getUserStateFromRequest($option.'filter_state', 'filter_state');
		
		$where ='';
		
		if($filter_state =='P'){
			$where = 'i.published = 1';
		}
		elseif($filter_state == 'U'){
			$where = 'i.published = 0';
		}
		
		return ($where) ? ' AND '.$where : '';
	}
	
	
	//pobieranie itemow
	function getItems(){
		$limit = JRequest::getVar('limit', 0, '', 'int');
		$limitstart = JRequest::getVar('limitstart', 0, '', 'int');
		if(!$this->_items){
			
			$query = "SELECT i.*  FROM #__djcf_items i WHERE (i.cat_id NOT IN (SELECT c.id FROM #__djcf_categories c) )	";

			$this->_items = $this->_getList($query, $limitstart, $limit);

		}
		return $this->_items;
	}
	
	function getCount(){
		$db= &JFactory::getDBO();
		$query = "SELECT COUNT(*) FROM #__djcf_items WHERE (cat_id NOT IN (SELECT c.id FROM #__djcf_categories c) )";

		$db->setQuery($query);
		$allelems=$db->loadResult();

		return $allelems;
	}
	
	
	
	
	
	
	//pobieranie kategorii do wylistowania - alfabetycznie
	function getCategories(){
		
		if(!$this->_categories){
			
			$query = "SELECT * FROM #__djcf_categories ORDER BY name";
			
			$this->_categories = $this->_getList($query,0,0);
		}
		
		return $this->_categories;
	}
	
	function notif(){	
		$date_now =& JFactory::getDate();
		$date_f =& JFactory::getDate();
		$date_f->_date = $date_f->_date + 2*24*60*60;
		$date_all=$date_now->toMySQL();
		$date_all = explode(' ',$date_all);
		$date_all_f=$date_f->toMySQL();
		$date_all_f = explode(' ',$date_all_f);
		print_r($date_all);
		print_r($date_all_f);
		$db= &JFactory::getDBO();
		$query = "SELECT i.date_exp, i.user_id, u.email, u.name FROM #__djcf_items i, #__users u WHERE i.user_id=u.id AND i.date_exp>='".$date_all[0]."' AND i.date_exp<='".$date_all_f[0]."' AND i.published=1";
		$db->setQuery($query);
		$items = $db->loadObjectList();
		echo '<pre>';
		print_r($db);
		print_r($items);
		
		/*
		$query = "SELECT date_exp, user_id FROM #__djcf_items WHERE id=".$id;
		$db->setQuery($query);
		$item = $db->loadObject();
		
		if($date_now->_date<$date_exp || $item->user_id==$user->id){
		//	$query = "UPDATE `#__djcf_items` SET display=display+1 WHERE id=".$id;
			$db->setQuery($query);
		//	$db->query();
			parent::display();
		}
		*/
	}
}
?>
