<?php
/**
* @version		0.9.1
* @package		DJ Classifieds
* @subpackage	DJ Classifieds Component
* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 
* 
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
* 
*/

function DJClassifiedsBuildRoute(&$query){

	$segments = array();
	if(isset($query['view'])){
			if($query['view']=='showitem'){
				$segments[]='item';
				unset($query['view']);
				if(isset($query['cid'])){
					$segments[] = $query['cid'];
					unset($query['cid']);
				}
				if(isset($query['id'])){
					$segments[] = $query['id'];
					unset($query['id']);
				}
			}
			elseif($query['view']=='show'){
				$segments[]='show';
				unset($query['view']);				
				if(isset($query['cid'])){
					$segments[] = $query['cid'];
					unset($query['cid']);
				}
				else {
					$segments[] = '0';
				}
				if(isset($query['order'])){
					$segments[] = $query['order'];
					unset($query['order']);
				}
			}
			elseif($query['view']=='showlist'){
				$segments[]='showlist';
				unset($query['view']);				
				if(isset($query['cid'])){
					$segments[] = $query['cid'];
					unset($query['cid']);
				}
				else {
					$segments[] = '0';
				}
				if(isset($query['order'])){
					$segments[] = $query['order'];
					unset($query['order']);
				}
			}elseif($query['view']=='additempaypal'){
				$segments[]='additempaypal';
				unset($query['view']);				
				if(isset($query['id'])){
					$segments[] = $query['id'];
					unset($query['id']);
				}				
			}elseif($query['view']=='edititem'){
				$segments[]='edititem';
				unset($query['view']);				
				if(isset($query['id'])){
					$segments[] = $query['id'];
					unset($query['id']);
				}				
			}			
	}

	return $segments;
}

function DJClassifiedsParseRoute(&$segments){
$query=array();

		if($segments[0]){
			if($segments[0]=='item'){
				$query['view']='showitem';
				if(isset($segments[1])){
					$query['cid']=$segments[1];
				}
				if(isset($segments[2])){
					$query['id']=$segments[2];
				}
			}
			elseif($segments[0]=='show'){
				$query['view']='show';
				if(isset($segments[1])){
					$query['cid']=$segments[1];
				}
				if(isset($segments[2])){
					$query['order']=$segments[2];
				}
			}elseif($segments[0]=='showlist'){
				$query['view']='showlist';
				if(isset($segments[1])){
					$query['cid']=$segments[1];
				}
				if(isset($segments[2])){
					$query['order']=$segments[2];
				}
			}elseif($segments[0]=='additempaypal'){
				$query['view']='additempaypal';
				if(isset($segments[1])){
					$query['id']=$segments[1];
				}
			}elseif($segments[0]=='edititem'){
				$query['view']='edititem';
				if(isset($segments[1])){
					$query['id']=$segments[1];
				}
			}
		}
	return $query;
}

?>