<?php
/**
* @version		0.9.1
* @package		DJ Classifieds
* @subpackage	DJ Classifieds Menu Module
* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 
* 
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
* 
*/


defined ('_JEXEC') or die('Restricted access');

require_once(dirname(__FILE__).DS.'helper.php');

if(JRequest::getVar('option')!='com_djclassifieds'){
	$document=& JFactory::getDocument();
	$cs = JURI::base().'components/com_djclassifieds/style.css';
	$document->addStyleSheet($cs);	
}

$categoriesclass=new DjclassifiedsModelCategories();
$categories=$categoriesclass->getCategories();

$cid = JRequest::getVar('cid',0,'int');

$Itemid = JRequest::getVar('Itemid', 0, 'int');
$option = JRequest::getVar('option');

$menus	= &JSite::getMenu();

	foreach($menus->_items as $m){
		if($m->link == 'index.php?option=com_djclassifieds&view=show&cid=0'){
			$Itemid=$m->id;
			break;
		}
	}

$layout = $params->get('layout', 0);
$expand = $params->get('expand');
?>
<ul class="menu">
<?php
echo renderMenu($categories, $cid, $Itemid, $layout, $expand);
?>
</ul>


