<?php
/**
* @version		0.9.1
* @package		DJ Classifieds
* @subpackage	DJ Classifieds Component
* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 
* 
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
* 
*/
defined ('_JEXEC') or die('Restricted access');

?>
<form action="index.php?option=com_djcatalog&task=nocategoryitems" method="post" name="adminForm">
    <table class="adminlist">
        <thead>
            <tr>
                <th width="20">
                    <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->list); ?>);"/>
                </th>
                <th width="5px">
                    <?php echo JText::_( 'id' ); ?>
                </th>
                <th width="100px">
                    <?php echo JText::_( 'NAME' ); ?>
                </th>
                <th width="200px">
                    <?php echo JText::_( 'DESCRIPTION' ); ?>
                </th>
                <th width="5px">
                    <?php echo JText::_( 'PUBLISHED' ); ?>
                </th>
            </tr>
        </thead>
        <?php $i=0; 
		

	foreach($this->list as $l): 

	$l->name = JHTML::link('index.php?option=com_djclassifieds&task=editItem&cid[]='.$l->id, $l->name);

	$checked = JHTML::_('grid.id', $i, $l->id );
	

	$published=JHTML::_('grid.published', $l, $i);

	?>
        <tr>
            <td>
                <?php echo $checked ?>
            </td>
            <td>
                <?php echo $l->id; ?>
            </td>
            <td>
                <?php echo $l->name; ?>
            </td>
            <td>
                <?php echo $l->intro_desc; ?>
            </td>
            <td align="center">
                <?php echo $published; ?>
            </td>
        </tr>
        <?php $i++; endforeach; ?>
    
    <tfoot>
        <td colspan="5">
            <?php echo $this->pagination->getListFooter(); ?>
        </td>
    </tfoot>
	</table>
    <input type="hidden" name="option" value="<?php echo $option; ?>" />
	<input type="hidden" name="task" value="items" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="t" value="nocategoryitems" />
</form>