<?php
/**
* @version		0.9.1
* @package		DJ Classifieds
* @subpackage	DJ Classifieds Component
* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 
* 
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
* 
*/

$uri = JFactory::getURI();
$url = $uri->toString(array('path', 'query', 'fragment'));
$return_url = base64_encode($url);
$u_lang =& JFactory::getLanguage();
$u_lang->load("com_user");
?>

<div id="dj-classifieds" class="clearfix">
<div class="dj-additem clearfix" >
<div class="title_top"><?php echo JText::_('New Ad - Login'); ?></div>
			<br />
			<div id="djloginbox"  >
			<form action="<?php echo JRoute::_( 'index.php'); ?>" method="post" name="login" id="form-login" >
				<p id="form-login-username">
					<label for="modlgn_username"><?php echo JText::_('Username') ?></label><br />
					<input id="modlgn_username" type="text" name="username" class="inputbox" alt="username" size="25" />
				</p>
				<p id="form-login-password" style="margin-top:10px;">
					<label for="modlgn_passwd"><?php echo JText::_('Password') ?></label><br />
					<input id="modlgn_passwd" type="password" name="passwd" class="inputbox" size="25" alt="password" />
				</p>
				<div class="clearfix" style="heigt:30px;display:block;margin-top:10px;">
				<input type="submit" name="Submit" class="button" value="<?php echo JText::_('LOGIN') ?>" />
				</div>
				<ul>
					<li>
						<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=reset' ); ?>">
						<?php echo JText::_('FORGOT_YOUR_PASSWORD'); ?></a>
					</li>
					<li>
						<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=remind' ); ?>">
						<?php echo JText::_('FORGOT_YOUR_USERNAME'); ?></a>
					</li>
					<?php
					$usersConfig = &JComponentHelper::getParams( 'com_users' );
					if ($usersConfig->get('allowUserRegistration')) : ?>
					<li>
						<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=register' ); ?>">
							<?php echo JText::_('REGISTER'); ?></a>
					</li>
					<?php endif; ?>
				</ul>
				<input type="hidden" name="option" value="com_user" />
				<input type="hidden" name="task" value="login" />
				<input type="hidden" name="return" value="<?php echo $return_url; ?>" />
				<?php echo JHTML::_( 'form.token' ); ?>
			</form>
			</div></div>
</div>

    